%global _empty_manifest_terminate_build 0
Name:           python-codecov
Version:        2.1.11
Release:        1
Summary:        Hosted coverage reports for GitHub, Bitbucket and Gitlab
License:        Apache-2.0
URL:            https://github.com/codecov/codecov-python
Source0:        https://files.pythonhosted.org/packages/5a/1e/aff89bf606c8939568b3f5fc388699af37e8e91c35ec10840d8224ebdca0/codecov-2.1.11.tar.gz
BuildArch:      noarch
%description
Hosted coverage reports for GitHub, Bitbucket and Gitlab

%package -n python3-codecov
Summary:        Hosted coverage reports for GitHub, Bitbucket and Gitlab
Provides:       python-codecov
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-requests
BuildRequires:  python3-coverage
# General requires
Requires:       python3-requests
Requires:       python3-coverage
%description -n python3-codecov
Hosted coverage reports for GitHub, Bitbucket and Gitlab

%package help
Summary:        Hosted coverage reports for GitHub, Bitbucket and Gitlab
Provides:       python3-codecov-doc
%description help
Hosted coverage reports for GitHub, Bitbucket and Gitlab

%prep
%autosetup -n codecov-2.1.11

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-codecov -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 30 2021 OpenStack_SIG <openstack@openeuler.org> - 2.1.11-1
- Package Spec generate
